#
# spec file for package perl-Tie-IxHash (Version 1.21)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Tie-IxHash
License:        Other License(s), see package
Group:          Development/Libraries/Perl
Provides:       perl_tie
Obsoletes:      perl_tie
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        TieIxHash Perl Module
Version:        1.21
Release:        600.2
Source:         Tie-IxHash-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
If you have been led to believe that associative arrays in Perl do not
preserve order, and if you have ever craved that feature, this module
is for you.



%debug_package
%prep
%setup -n Tie-IxHash-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Tie
%{perl_vendorlib}/Tie
/var/adm/perl-modules/perl-Tie-IxHash

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Tie-IxHash
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 - poeml@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 - ro@suse.de
- added directory to filelist
* Mon May 19 2003 - ro@suse.de
- remove perllocal.pod
* Tue May 13 2003 - ro@suse.de
- use defattr
* Thu Aug 08 2002 - mls@suse.de
- use sitearch macro
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Nov 07 2000 - ro@suse.de
- renamed package perl_tie to perl-Tie-IxHash
* Mon Sep 25 2000 - ro@suse.de
- fixed filelist
* Mon Sep 25 2000 - ro@suse.de
- created package
